[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: libfoo package depend on libfoog package?

Enrique Zanardi <ezanardi@noah.dfis.ull.es> writes:

> So, perhaps packages that place libs under /usr/lib/libc5-compat
> should depend on the new ld.so

No, it's libc5 which adds {/usr,}/lib/libc5-compat to /etc/ld.so.conf.
If they're going to Depend: on something it should be the relevant
version of libc5 (>= 5.4.23-4, IIRC) or they could simply add
/usr/lib/libc5-compat and /lib/libc5-compat to /etc/ld.so.conf if
they're not already there (this is what libreadline2's preinst does).


TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-devel-request@lists.debian.org . 
Trouble?  e-mail to templin@bucknell.edu .

Reply to: